@import '../../../../styles/medias';
@import '../../../../styles/mixins';
@import '../../../../styles/typography';

:host {
  display: block;
  width: 180px;
  height: 270px;

  @include xs {
    width: 150px;
    height: 240px;
  }
}
.card {
  height: 100%;
  width: 100%;
  @include generic-layout();
  border-radius: $border-radius;
  border: 1px solid $color-border;
  color: $color-white;
  position: relative;
  background: center url('/assets/images/noImage.png');
  background-size: cover;
  background-color: $color-secondary;
  @include p;
  &__avis {
    position: absolute;
    top: -10px;
    left: 50%;
    z-index: 2;
    transform: translateX(-50%);
    height: 20px;
    width: 40px;
    background-color: $color-accent1;
    border-radius: $border-radius;
    font-size: 0.8rem;
    @include flex-center-layout();
  }
  &__content {
    height: 100%;
    width: 100%;
    overflow: hidden;
    position: relative;
    img {
      position: absolute;
      top: 0;
      left: 0;
      z-index: 1;
      object-fit: cover;
      width: 100%;
      height: 100%;
      border-radius: $border-radius;
    }
  }
  &__title {
    height: 30px;
    width: 100%;
    @include flex-center-layout();
    p {
      @include ellipsis;
      font-size: 15px;
    }
  }
  &:hover &__menu,
  &.selectable &__menu {
    clip-path: inset(0 0 0 0);
    opacity: 1;
  }
  &__menu {
    cursor: pointer;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    @include flex-center-layout();
    flex-direction: column;
    border-radius: $border-radius;
    background-color: rgba($color-secondary, $alpha: 0.6);
    opacity: 0;
    clip-path: inset(50% 0 0 0);
    transition: clip-path $cubic-bezier 0.3s, opacity $cubic-bezier 0.3s;
  }
}
